# tasks necessary for pausing Connectors

- block:
  - name: OPERATIONS KAFKA CONNECT  | pausing http://{{ groups['connect'] | first }}:{{ connect_rest_port }}/connectors
    environment:
        SSL_CERT_FILE: "{{ cacert_file_path }}"
    uri:
      url: "https://{{ groups['connect'] | first }}:{{ connect_rest_port }}/connectors/{{ item.name }}/pause"
      method: PUT
      client_cert: "{{ client_cert }}"
      client_key: "{{ client_key }}"
      status_code: 202, 404
      body_format: json
    with_items:
    - "{{ lookup('file', '{{ connect_pause_configs }}') | from_json  }}"  
    - "{{ lookup('file', '{{ connect_delete_configs }}') | from_json  }}"  
  run_once: yes 
  

